<?php
$ruta = "../";
require_once "../class/c_login.php";

// check if the session is started
if (!isset($_SESSION['user']))
	die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);

extract($_POST);
try {
    $old = $db
        ->where('horario_id', $id)
        ->getOne('horario');

    $user->print_to_log("Eliminación de horario", old: $old);
    
    $horario = $db
        ->where('id', $id)
        ->delete('fs_horario');
} catch (Exception $e) {
    // if message contains "Integrity constraint violation"
    $message = (strpos($e->getMessage(), 'Foreign') !== false)
                ? "No se puede eliminar el registro, tiene datos asociados"
                : "Error al eliminar el registro";

    die(json_encode([
        "status" => "error",
        "message" => $message,
        "response" => $e->getMessage(),
    ]));
}

die(json_encode([ 
    "status" => "success",
    "message" => "Horario eliminado correctamente",
]));